

:root {
    --primary-color: #A6F750;
    --light-color:  #F5F5F5;
    --white: #FFFFFF;
    
}

// Definições iniciais e resets

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #0F1216;
    color: var(--light-color);
    font-size: 18;
}

body, button, input, option {
    font-family: "Poppins", sans-serif;
}

button {
    cursor: pointer;
}

a {
    text-decoration: none;
    color: var(--white);
}

header {
    position: fixed;
    z-index: 2;
    width: 100%;
}
.navbar {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 5rem;
    width: 100%;
    padding: 0 10rem;
    background-color: #181C23;
    &__name {
        color: var(--primary-color);
        font-size: 1.75rem;
        font-weight: 600;
    }

    &__list {
        position: relative;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        list-style: none;
        gap: 2.5rem;

        @media screen and (max-width: 992px) {
            display: none;
        }
    }

    &__item {
        border-bottom: 2px solid #181C23;
        a {
            font-weight: 600;
        }

    }

    &__item:hover {
        border-bottom: 2px solid var(--primary-color);
    }

    &__item--active {
        a {
            font-weight: 600;
            color: var(--primary-color);
        }
    }


    &__list-alternativa {
        list-style: none;
        display: none;
        
        li {
            
            a {
                position: relative;
                display: flex;
                justify-content: flex-end;
                width: 100%;
                font-weight: 600;
            }
            

            &:hover .navbar__menu-resumido-seta {
                position: absolute;
                top: -7px;
                right: 1rem;
                display: flex;
                background-color: #181C23;
                border-left: 1px solid var(--primary-color);
                border-top: 1px solid var(--primary-color);
                width: 12px;
                height: 12px;
                z-index: 4;
                transform: rotate(45deg);
            }

            &:hover .navbar__list--absolute {
                
                position: relative;
                display: flex;
                flex-direction: column;
                list-style: none;
                z-index: 3;
                background-color: #181C23;
                margin-top: 12px;
                padding: 1rem;
                border-radius: 8px;
                border: 1px solid var(--primary-color);
            }

        }

        @media screen and (max-width: 992px) {
            display: flex;
            flex-direction: column;
            position: absolute;
            top: 28px;
            right: 10rem;
        }
    }

    

    &__menu-resumido-seta {
        display: none;
    }

    &__list--absolute {
        display: none;
    }



}

main {

    position: relative;
    display: flex;
    flex-direction: column;
    padding: 2rem 10rem 0;
    
    margin-bottom: 2rem;

    .home {
        position: relative;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding-top: 8.125rem;

        @media screen and (max-width: 1025px) {
            flex-direction: column-reverse;
        }
        
        .home-left {
            flex-grow: 1;
            position: relative;
            display: flex;
            flex-direction: column;

            &__hgroup {
                position: relative;
                display: flex;
                flex-direction: column;
                width: 27.1875rem;
                margin-bottom: 1.8125rem;
                @media screen and (max-width: 1025px) {
                    align-items: center;
                }
            }

            &__h2 {
                font-size: 2rem;
                font-weight: 600;
                margin-bottom: 0.375rem;
            }

            &__h1 {
                font-size: 3.25rem;
                font-weight: 600;
                margin-bottom: 0.75rem;
            }

            &__text {
                
                font-weight: 500;
                @media screen and (max-width: 1025px) {
                    text-align: center;
                }
            }

            @media screen and (max-width: 1025px) {
                align-items: center;
            }

        }

        .home-right {
            flex-grow: 1;
            position: relative;
            display: flex;
            justify-content: flex-end;
            align-items: center;
            
            &__img {
                width: 100%;
                aspect-ratio: 1 / 1;
                max-width: 28.75rem;
                border-radius: 50%;
            }

            @media screen and (max-width: 1025px) {
                margin-bottom: 3rem;
            }

            @media screen and (max-width: 768px) {
                display: none
            }
        }
    }

    .about-me {
        position: relative;
        display: flex;
        flex-direction: column;
        padding-top: 8.125rem;
        margin-bottom: 5rem;

        &__label {
            font-size: 1.75rem;
            font-weight: 600;
            color: var(--primary-color);
            margin-bottom: 0.45rem;
        }

        &__text {
            line-height: 1.75rem;
            font-weight: 500;
        }

        &__info {
            position: relative;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            gap: 1.22rem;
            margin-bottom: 3rem;
            p {
                font-size: 1.33rem;
            }

            p:first-of-type {
                font-size: 5.33rem;
                font-weight: 600;
                color: var(--primary-color);
            }
        }

        &__cards {
            position: relative;
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(256px, auto));  
            gap: 1.33rem;

            @media screen and (min-width: 1000px) and (max-width: 1410px) {
                grid-template-columns: repeat(2, 1fr) ;
            }
        }

        &__item {
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-end;
            padding: 1.33rem;
            height: 254px;
            background-color: #383C44;

            figure {
                margin-bottom: 0.77rem;
                img { width: 42px; }
            }

            p {
                line-height: 1.77rem;
                font-size: 1.33rem;
                font-weight: 600;
            }


            &--active {
                position: relative;
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                justify-content: flex-end;
                padding: 1.33rem;
                height: 254px;
                background-color: #383C44;
                border: 2px solid var(--primary-color);

                figure {
                    margin-bottom: 0.77rem;
                    img { width: 42px; }
                }
    
                p {
                    line-height: 1.77rem;
                    font-size: 1.33rem;
                    font-weight: 600;
                }
            }
        }
    }

    #services {

        .services__label {
            color: var(--primary-color);
            margin-bottom: 2rem;
            padding-top: 8.125rem;
        }


        .services__grid {

            display: grid;
            // grid-template-columns: repeat(3, 1fr);
            grid-template-columns: repeat(auto-fill, minmax(341px, auto));
            position: relative;
            gap: 2.75rem;
            
            .services__item-branco {
                // width: 100%;
                height: 21.25rem;
                border: 0.25rem solid var(--light-color);
                border-radius: 1rem;
                padding: 4.3rem;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                & h3 {
                    margin-bottom: 1rem;
                    color: var(--primary-color);
                }

                & p {
                    text-align: center;
                }

                
            }
    
            .services__item-verde {
                width: 100%;
                height: 21.25rem;
                border: 0.25rem solid var(--primary-color);
                border-radius: 1rem;
                padding: 4.3rem;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                & h3 {
                    margin-bottom: 1rem;
                }

                & p {
                    text-align: center;
                }
            }
        }
        
    }

    .contact {
        position: relative;
        display: flex;
        justify-content: space-between;
        padding-top: 8.125rem;
        gap: 3rem;

        @media screen and (max-width: 768px) {
            flex-direction: column;
        }

        .contact-social-media {
            position: relative;
            display: flex;
            flex-direction: column;

            &__label {
                color: var(--primary-color);
                font-size: 1.75rem;
                font-weight: 600;
                margin-bottom: 0.88rem;
                position: relative;
                display: flex;
                align-items: center;
            }

            p {
                font-weight: 500;
            }

            &__icons {
                position: relative;
                display: flex;
                width: 100%;
                gap: 1rem;
                align-items: center;
                justify-content: flex-start;
                margin-top: 1rem;
            }

            figure {
                cursor: pointer;
            }
        }

        .contact-form {
            position: relative;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;


            &__label {
                position: relative;
                display: flex;
                align-items: center;
                font-size: 1.33rem;
                font-weight: 500;
                margin-bottom: 0.88rem;
            }

            form {
                position: relative;
                display: flex;
                flex-direction: column;
                justify-content: flex-start;
            }
            input {
                border: none;
                border-radius: 8px;
                padding: 0.6rem;
                margin-bottom: 0.88rem;
                background-color: #383C44;
                color: var(--white);
            }

            textarea {
                border: none;
                border-radius: 8px;
                padding: 0.6rem;
                margin-bottom: 0.88rem;
                background-color: #383C44;
                resize: none;
                color: var(--white);
            }
        }
    }
    
}

.navbar-footer {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 5rem;
    width: 100%;
    padding: 0 10rem;
    background-color: #181C23;

    &__list {
        position: relative;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        list-style: none;
        gap: 2.5rem;

        @media screen and (max-width: 1200px) {
            flex-direction: column;
            align-items: flex-end;
            gap: 1rem;
        }
    }

    @media screen and (max-width: 1200px) {
        height: auto;
        padding: 2rem 10rem;
    }

    
}

.button {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    border-radius: 0.5rem;
    padding: 0.75rem 1rem;
    font-size: 1rem;
    font-weight: 600;
    border: solid transparent;
    width: 8.125rem;
    transition: all 0.6s;

    &:hover {
        color: var(--primary-color);
        background-color: #0F1216;
        border: solid var(--primary-color);
        transition: all 0.6s;
    }
}